BMAStreamServer Class Reference

`#include <BMAStreamServer.h>`

Inheritance diagram for BMAStreamServer:
[legend]
Collaboration diagram for BMAStreamServer:
[legend]

## Public Member Functions

| BMAStreamServer (BMAEPoll &ePoll, std::string url, short int port, std::string commandName)
| ~BMAStreamServer ()
void | startStreaming ()
void | setContentProvider (BMAStreamContentProvider &contentProvider)
Public Member Functions inherited from BMATCPServerSocket
| BMATCPServerSocket (BMAEPoll &ePoll, std::string url, short int port, std::string commandName)
| ~BMATCPServerSocket ()
void | removeFromSessionList (BMASession *session)
Public Member Functions inherited from BMATCPSocket
| BMATCPSocket (BMAEPoll &ePoll)
virtual void | output (std::stringstream &out)
Public Member Functions inherited from BMASocket
| BMASocket (BMAEPoll &ePoll)
void | setDescriptor (int descriptor)
| Set the descriptor for the socket.
int | getDescriptor ()
| Get the descriptor for the socket.
void | eventReceived (struct epoll_event event)
| Parse epoll event and call specified callbacks. More...
void | write (std::string data)
void | write (char *buffer, int length)
void | output (std::stringstream &out)
virtual void | onRegistered ()
| Called when the socket has finished registering with the epoll processing. More...
virtual void | onUnregistered ()
| Called when the socket has finished unregistering for the epoll processing. More...
void | enable (bool mode)
| Enable the socket to read or write based upon buffer.
Public Member Functions inherited from BMACommand
| BMACommand (std::string commandName)
virtual void | output (BMASession *session)
Public Member Functions inherited from BMATimer
| BMATimer (BMAEPoll &ePoll)
| BMATimer (BMAEPoll &ePoll, double delay)
void | setTimer (double delay)
void | clearTimer ()

## Additional Inherited Members

Public Attributes inherited from BMATCPServerSocket
std::vector< BMASession * > | sessions
Public Attributes inherited from BMATCPSocket
BMAIPAddress | ipAddress
Public Attributes inherited from BMASocket
class {
} | bufferSize
Public Attributes inherited from BMAObject
std::string | name
std::string | tag
Public Attributes inherited from BMACommand
std::string | commandName
Protected Member Functions inherited from BMATCPServerSocket
void | onDataReceived (std::string data) override
void | processCommand (BMASession *session) override
Protected Member Functions inherited from BMASocket
void | setBufferSize (int length)
virtual void | onConnected ()
| Called when socket is open and ready to communicate. More...
void | shutdown ()
Protected Attributes inherited from BMASocket
BMAEPoll & | ePoll
bool | shutDown = false

## Detailed Description

BMAStreamServer

Extends the socket to create a frame based streaming media streamer.

## Constructor & Destructor Documentation

## BMAStreamServer()

BMAStreamServer::BMAStreamServer | ( | BMAEPoll & | ePoll,
|  | std::string | url,
|  | short int | port,
|  | std::string | commandName
| ) |  |

Constructor for the BMAStreamServer object.

## ~BMAStreamServer()

BMAStreamServer::~BMAStreamServer | ( |  | ) |

Destructor for the BMAStreamServer object.

## Member Function Documentation

## setContentProvider()

void BMAStreamServer::setContentProvider | ( | BMAStreamContentProvider & | contentProvider | ) |

Set the content provider for the streaming server. Output of the content will begin immediately on the next frame.

## startStreaming()

void BMAStreamServer::startStreaming | ( |  | ) |

Start streaming the content to the client list. Streaming is started even though no clients may be connected. As clients connect they will begin receiving the stream in the spot it is being output.

The documentation for this class was generated from the following files:

- /home/barant/Documents/Development/BMASockets/BMAStreamServer.h
- /home/barant/Documents/Development/BMASockets/BMAStreamServer.cpp